### Function

# Tsparql sparql_escape_uri_vprintf

#### Declaration [src]

    gchar*
    tracker_sparql_escape_uri_vprintf (
      const gchar* format,
      va_list args
    )

#### Description [src]

Formats and escapes a string for use as a URI. This function takes a `va_list`.

Similar to the standard C `vsprintf()` function but safer, since it calculates the maximum space required and allocates memory to hold the result.

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  A standard `printf()` format string, but notice string precision pitfalls documented in g_strdup_printf().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  The list of parameters to insert into the format string.

#### Return value

Type: `gchar*`

A newly-allocated string holding the result.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.